import React, { useState } from 'react';
import cn from 'classnames';

var styles = "\n\n.bar1{\n  transition: all 1s;\n}\n.bar3{\n  transition: all 1s;\n}\n.bar2{\n  transition: all 1s;\n}\n.g-bar1{\n  transition: all 1s;\n}\n.bar1.open{\n  transform: rotate(45deg);\n}\n.bar3.open{\n  transform: rotate(-45deg);\n}\n.hide{\n  opacity: 0;\n}\n\n\n";

var Bars = function Bars(props) {
  var buttonColor = props.buttonColor,
      backgroundColor = props.backgroundColor,
      width = props.width,
      height = props.height;
  buttonColor = buttonColor ? buttonColor : "#000";
  backgroundColor = backgroundColor ? backgroundColor : "#fff";
  width = width ? width : 30;
  height = height ? height : 30;

  var _useState = useState(false),
      show = _useState[0],
      setShow = _useState[1];

  var handleClick = function handleClick(e) {
    setShow(function (show) {
      return !show;
    });
  };

  var posistion = {
    x: width / 13.5,
    y: height / 7.6
  };
  var x = posistion.x,
      y = posistion.y;
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("style", null, styles), /*#__PURE__*/React.createElement("div", {
    style: {
      height: height + "px",
      width: width + "px",
      background: backgroundColor,
      border: "1px solid #fff"
    }
  }, /*#__PURE__*/React.createElement("svg", {
    height: height,
    width: width,
    onClick: handleClick,
    style: {
      cursor: "pointer"
    }
  }, /*#__PURE__*/React.createElement(Line, {
    color: buttonColor,
    width: width,
    height: height,
    x: x,
    y: y,
    cssClass: ["bar1", show ? "open" : ""],
    orgX: x + width / 3 + "px",
    orgY: y + "px"
  }), /*#__PURE__*/React.createElement(Line, {
    color: buttonColor,
    width: width,
    height: height,
    x: x,
    y: y + height / 4.6,
    cssClass: [!show ? "" : "hide", "bar2"]
  }), /*#__PURE__*/React.createElement(Line, {
    color: buttonColor,
    width: width,
    height: height,
    x: x,
    y: y + height / 2.3,
    cssClass: ["bar3", show ? "open" : ""],
    orgX: x + width / 3 + "px",
    orgY: height * 3 / 5 + "px"
  }))));
};

var Line = function Line(_ref) {
  var x = _ref.x,
      y = _ref.y,
      cssClass = _ref.cssClass,
      orgX = _ref.orgX,
      orgY = _ref.orgY,
      color = _ref.color,
      width = _ref.width,
      height = _ref.height;
  var transform = "";

  if (cssClass[0] === "bar1" && cssClass[1] === "open") {
    transform = "translate(" + 0 + "px, " + height / 5 + "px)";
  }

  if (cssClass[0] === "bar3" && cssClass[1] === "open") {
    transform = "translate(" + 0 + "px, -" + height / 5 + "px)";
  }

  return /*#__PURE__*/React.createElement("g", {
    className: "g-" + cssClass[0] + " " + cssClass[1],
    style: {
      transform: transform
    }
  }, /*#__PURE__*/React.createElement("line", {
    x1: x,
    y1: y,
    x2: x + width - width / 3.85,
    y2: y,
    stroke: color,
    strokeWidth: height / 7.6,
    style: {
      transformOrigin: orgX + " " + orgY
    },
    className: cn(cssClass)
  }));
};

var index = {
  Menu: Bars
};

export default index;
//# sourceMappingURL=index.modern.js.map
